### Class method

# Clutter ActorClass set_layout_manager_type

#### Declaration [src]

    void
    clutter_actor_class_set_layout_manager_type (
      ClutterActorClass* actor_class,
      GType type
    )

#### Description [src]

Sets the type to be used for creating layout managers for actors of `actor_class`.

The given `type` must be a subtype of `ClutterLayoutManager`.

This function should only be called from class init functions of actors.

#### Parameters

`type`

  Type: `GType`

  A `GType`.